Page MenuHomePhabricator

Requesting access to researchers group for phuedx
Closed, ResolvedPublic

Description

In order to use the wmfdata package in SWAP, I need access to the MySQL configuration in the /etc/mysql/conf.d/research-client.cnf file, which is granted to those users in the researchers group.

Note well that I'm currently a member of the analytics-privatedata-users group, which doesn't have access to the above MySQL configuration (per https://wikitech.wikimedia.org/wiki/Analytics/Data_access#Access_Groups).

Details

Related Gerrit Patches:
operations/puppet : productionadmins: add phuedx to researchers

Event Timeline

phuedx created this task.Jan 29 2019, 11:21 PM
Restricted Application added a project: Operations. · View Herald TranscriptJan 29 2019, 11:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
phuedx updated the task description. (Show Details)Jan 29 2019, 11:22 PM
Dzahn renamed this task from Requesting access to researchers group to Requesting access to researchers group for phuedx.Feb 6 2019, 10:13 PM
Dzahn triaged this task as Medium priority.
Dzahn added a project: Research.

Change 488595 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add phuedx to researchers

https://gerrit.wikimedia.org/r/488595

Joe added subscribers: Nuria, Joe.Feb 7 2019, 8:45 AM

I guess this is ok as long as @Nuria approves the addition.

Joe claimed this task.Feb 7 2019, 8:45 AM
elukey added a subscriber: elukey.Feb 7 2019, 8:46 AM

I think that it is fine to proceed in this case! :)

Change 488595 merged by Giuseppe Lavagetto:
[operations/puppet@production] admins: add phuedx to researchers

https://gerrit.wikimedia.org/r/488595

Joe added a subscriber: Dzahn.Feb 7 2019, 8:51 AM

Yes, it is fine, she also gave +1 to the patch already. Merging it. Thanks @Dzahn for writing the patch.

@phuedx you should have your access enabled within the next 30 minutes.

Joe closed this task as Resolved.Feb 7 2019, 8:51 AM
phuedx added a comment.Feb 7 2019, 2:38 PM

Thanks, @Dzahn, @elukey, @Joe, and @Nuria!

I apologise for not including an approver on the task. I wasn't actually sure who should approve access in this case but realise now that @Nuria would've been the sensible choice.